/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\bodquest\rewards\ElectricChair.cs
Lines of code: 39
***********************************************************/


using System;
using Server.Mobiles;


namespace Server.Items
{

	[Furniture]
	[Flipable( 0xB57, 0xB56, 0xB59, 0xB58 )]
	public class ElectricChair : Item
	{
		[Constructable]
		public ElectricChair() : base(0xB57)
		{
			Name="An Electric Chair";
			Weight = 20.0;
			Hue=2406;
		}
		
		
		public override bool OnMoveOver( Mobile m )
		{
			if(m.AccessLevel>AccessLevel.Player || m.Blessed)return true;
		
			m.BoltEffect( 0 );			
			AOS.Damage( m,null, 30, 0, 0, 0, 0, 100 );
			m.Pacify(m,DateTime.Now+TimeSpan.FromSeconds(2));			
			m.SendMessage("You sat on an electric chair!");

			return true;
		}
		
		
		
		
		

		public ElectricChair(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
	
}